MPACK(1)

NAME
mpack - pack a file in MIME format

SYNOPSIS
mpack [ -s subject ] [ -d descriptionfile ] [ -m maxsize ] [ -c content-type ] file address ...
mpack [ -s subject ] [ -d descriptionfile ] [ -m maxsize ] [ -c content-type ] -o outputfile file
mpack [ -s subject ] [ -d descriptionfile ] [ -m maxsize ] [ -c content-type ] -n newsgroups file

DESCRIPTION
The mpack program encodes the the named file in one or more MIME messages. The resulting messages are mailed to one or more recipients, written to a named file or set of files, or posted to a set of newsgroups.

OPTIONS

-s subject
    Set the Subject header field to Subject. By default, mpack will prompt for the contents of the subject header.

-d descriptionfile
    Include the contents of the file descriptionfile in an introductory section at the beginning of the first generated message.

-m maxsize
    Split the message (if necessary) into partial messages, each not exceeding maxsize characters. The default limit is the value of the SPLITSIZE environment variable, or no limit if the environment variable does not exist. Specifying a maxsize of 0 means there is no limit to the size of the generated message.

-c content-type
    Label the included file as being of MIME type content-type, which must be a subtype of application, audio, image, or video. If this switch is not given, mpack examines the file to determine its type.

-o outputfile
    Write the generated message to the file outputfile. If the message has to be split, the partial messages will instead be written to the files outputfile.01, outputfile.02, etc.

-n newsgroups
    Post the generated message(s) to the comma-separated netnews newsgroups.

file
    Encode the named file.

address ...
    Mail the generated messages to the specified addresses.

ENVIRONMENT

TMPDIR
    Directory to store temporary files. Default is /var/tmp.

SPLITSIZE
    Default value of the -m switch.